from maps_adv.warden.client.lib import TaskContext

from .data_manager import AbstractDataManager
from .domain import Domain

__all__ = ["sync_category_search_reports"]


async def sync_category_search_reports(
    _: TaskContext, *args, dm: AbstractDataManager, **kwargs
):
    await dm.sync_category_search_reports()


async def check_not_spending_budget(_: TaskContext, *args, domain: Domain, **kwargs):
    await domain.check_not_spending_budget()


async def check_overdraft(_: TaskContext, *args, domain: Domain, **kwargs):
    await domain.check_overdraft()
